CLIENTNAME = "vndbapi-sw1"
CLIENTVER = "1.2"

DBG = False

EOT = "\x04"

class flags():
    ALLVN = "basic,details,anime,relations,tags,stats,screens,staff"
    ALLRE = "basic,details,vn,producers"
    ALLUL = "basic,labels"
    ALLPR = "basic,details,relations"
    ALLCH = "basic,details,meas,traits,vns,voiced,instances"
    ALLST = "basic,details,aliases,vns,voiced"
    ALLUS = "basic"
    ALIASES = "aliases"
    LABELS = "labels"
    BASIC = "basic"
    MEASUREMENTS = "meas"
    TRAITS = "traits"
    VNS = "vns"
    VOICED = "voiced"
    INSTANCES = "instances"
    DETAILS = "details"
    ANIME = "anime"
    RELATIONS = "relations"
    TAGS = "tags"
    STATS = "stats"
    SCREENS = "screens"
    STAFF = "staff"
    VN = "vn"
    PRODUCERS = "producers"

class minages():
    AA = 0
    SIX = 1
    SEVEN = 2
    EIGTH = 3
    NINE = 4
    TEN = 5
    ELEVEN = 6
    TWELVE = 7
    THIRTEEN = 8
    FOURTEEN = 9
    FIFTEEN = 10
    SIXTEEN = 11
    SEVENTEEN = 12
    EIGHTEEN = 13

disallowedfilters = {"vn": ['patch', 'gtin', 'username', 'aid', 'catalog', 'traits', 'vn', 'name', 'type', 'doujin', 'producer', 'freeware'], 
                     "release": ['username', 'aid', 'traits', 'tags', 'search', 'name', 'firstchar', 'orig_lang'],
                     "producer": ['patch', 'gtin', 'username', 'aid', 'catalog', 'traits', 'title', 'released', 'tags', 'vn', 'doujin', 'producer', 'freeware', 'languages', 'firstchar', 'platforms', 'orig_lang'],
                     "character": ['patch', 'gtin', 'username', 'aid', 'catalog', 'title', 'released', 'tags', 'type', 'doujin', 'producer', 'freeware', 'languages', 'firstchar', 'platforms', 'orig_lang'],
                     "staff": ['username', 'title', 'released', 'original', 'type', 'producer', 'freeware', 'languages', 'firstchar', 'platforms', 'orig_lang', 'patch', 'gtin', 'catalog', 'traits', 'tags', 'vn', 'name', 'doujin'],
                     "user": ['aid', 'title', 'released', 'original', 'search', 'type', 'producer', 'freeware', 'languages', 'firstchar', 'platforms', 'orig_lang', 'patch', 'gtin', 'catalog', 'traits', 'tags', 'vn', 'name', 'doujin']
}

class operators():
    EQU = "="
    NEQ = "!="
    LSS = "<"
    LEQ = "<="
    GTR = ">"
    GEQ = ">="
    ROX = "~"
    ALL = [EQU, NEQ, LSS, LEQ, GTR, GEQ, ROX]
